Product updates

Developer Changelog

Keep track of changes and upgrades to the Zoom Developer platform. You can also subscribe to our Changelog RSS feed below.


Phone

Expand Zoom Phone APIs with new IVR, Call Queue, Fax, and settings fields

API release

Summary:Added new request and response fields across Zoom Phone APIs, including IVR, Call Queues, Fax, Users, Sites, Accounts, Groups, and Auto Receptionists, to support expanded routing, configuration, disclaimer, and policy management capabilities.

Enhancements

  • New zva_receptionist_id,external_contact_id,third_party_agent_id,teams_app_id,partner_contact_center_id response fields in the following IVR APIs:
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
  • New break_id request field in the following IVR APIs:
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
  • New allow_members_to_set_own_business_hours response field in the following Call Queues APIs:
    • GET /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/call_handling/settings
    • GET /v2/phone/call_queues/{callQueueId}/call_handling/settings
  • New to,from,from,to request fields in the following Fax APIs:
    • GET /v2/phone/fax/logs
    • GET /v2/accounts/{accountId}/phone/fax/logs
    • GET /v2/phone/extension/{extensionId}/fax/logs
    • GET /v2/accounts/{accountId}/phone/extension/{extensionId}/fax/logs
  • New forward_to,partner_contact_center_id,teams_app_id,caller_no_input_timeout,allow_dialing_by_extension,third_party_agent_id,external_contact_id,zva_receptionist_id,voicemail_greeting_id,allow_callers_to_navigate_ivr request fields in the following IVR APIs:
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
  • New phone_number,allow_callers_to_navigate_ivr,allow_dialing_by_extension,caller_no_input_timeout,voicemail_greeting response fields in the following IVR APIs:
    • GET /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/ivr
    • GET /v2/phone/auto_receptionists/{autoReceptionistId}/ivr
  • New show_custom_disclaimer_when_using_zoom_phone response field in the following Users APIs:
    • GET /v2/accounts/{accountId}/phone/users/{userId}
    • GET /v2/phone/users/{userId}
  • New show_custom_disclaimer_when_using_zoom_phone request field in the following Sites APIs:
    • PATCH /v2/phone/sites/{siteId}
    • PATCH /v2/accounts/{accountId}/phone/sites/{siteId}
  • New default response field in the following Accounts APIs:
    • GET /v2/phone/account_settings
    • GET /v2/accounts/{accountId}/phone/account_settings
  • New show_custom_disclaimer_when_using_zoom_phone response field in the following Sites APIs:
    • GET /v2/phone/sites/{siteId}
    • GET /v2/accounts/{accountId}/phone/sites/{siteId}
  • New default response field in the following Groups APIs:
    • GET /v2/accounts/{accountId}/phone/groups/{groupId}/settings
    • GET /v2/phone/groups/{groupId}/settings
  • New allow_members_to_set_own_business_hours request field in the following Call Queues APIs:
    • PATCH /v2/accounts/{accountId}/phone/call_queues/{callQueueId}/call_handling/settings/{hourType}
    • PATCH /v2/phone/call_queues/{callQueueId}/call_handling/settings/{hourType}
  • New show_custom_disclaimer_when_using_zoom_phone request field in the following Users APIs:
    • PATCH /v2/accounts/{accountId}/phone/users/{userId}
    • PATCH /v2/phone/users/{userId}
  • New voicemail_access_members request field in the following Auto Receptionists APIs:
    • PATCH /v2/accounts/{accountId}/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}
    • PATCH /v2/phone/auto_receptionists/{autoReceptionistId}/policies/{policyType}